nvmlVgpuMetadata_t(3)

NAME
nvmlVgpuMetadata_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

unsigned int version
Current version of the structure.
unsigned int revision
Current revision of the structure.
nvmlVgpuGuestInfoState_t guestInfoState
Current state of Guest-dependent fields.
char guestDriverVersion [NVML_SYSTEM_DRIVER_VERSION_BUFFER_SIZE]
Version of driver installed in guest.
char hostDriverVersion [NVML_SYSTEM_DRIVER_VERSION_BUFFER_SIZE]
Version of driver installed in host.
unsigned int reserved [6]
Reserved for internal use.
unsigned int vgpuVirtualizationCaps
vGPU virtualizaion capabilities bitfileld
unsigned int guestVgpuVersion
vGPU version of guest driver
unsigned int opaqueDataSize
Size of opaque data field in bytes.
char opaqueData [4]
Opaque data.

Detailed Description

vGPU metadata structure.

Author

Generated automatically by Doxygen for NVML from the source code.